---
title: llarp::vpn::I_PacketIntercepter

---

# llarp::vpn::I_PacketIntercepter





## Public Functions

|                | Name           |
| -------------- | -------------- |
| virtual | **[~I_PacketIntercepter](Classes/classllarp_1_1vpn_1_1I__PacketIntercepter.md#function-~i-packetintercepter)**() =default |
| virtual void | **[start](Classes/classllarp_1_1vpn_1_1I__PacketIntercepter.md#function-start)**(PacketInterceptFunc_t f) =0<br>start intercepting packets and call a callback for each one we get the callback passes in an ip packet and a function that we can use to send an ip packet to its origin  |
| virtual void | **[stop](Classes/classllarp_1_1vpn_1_1I__PacketIntercepter.md#function-stop)**() =0<br>stop intercepting packets  |

## Public Functions Documentation

### function ~I_PacketIntercepter

```cpp
virtual ~I_PacketIntercepter() =default
```


### function start

```cpp
virtual void start(
    PacketInterceptFunc_t f
) =0
```

start intercepting packets and call a callback for each one we get the callback passes in an ip packet and a function that we can use to send an ip packet to its origin 

### function stop

```cpp
virtual void stop() =0
```

stop intercepting packets 

-------------------------------

Updated on 2022-09-03 at 19:01:06 +0000